vpGetMatrix(3)

NAME
vpGetMatrix - retrieve the contents of a transformation matrix

SYNOPSIS
#include <volpack.h>

vpGetMatrix(vpc, matrix_code, matrix) vpContext *vpc; int matrix_code; vpMatrix4 matrix;

ARGUMENTS

vpc VolPack context from vpCreateContext.

matrix_code
    A code specifying one of the VolPack transformation matrices (VP_MODEL, VP_VIEW, VP_PROJECT or VP_SCREEN).

matrix
    Matrix for storing the result.

DESCRIPTION
vpGetMatrix retrieves the contents of one of the transformation matrices (see vpCurrentMatrix(3)). The special code VP_SCREEN causes the function to compute the transformation from object coordinates to image coordinates and return a matrix describing this transformation.

ERRORS
The normal return value is VP_OK. The following error return value is possible:

VPERROR_BAD_OPTION
    The matrix_code argument is invalid.

SEE ALSO
VolPack(3), vpCreateContext(3), vpCurrentMatrix(3)